Package org.eclipse.jface.bindings.keys

# Class KeyLookupFactory

java.lang.Object
org.eclipse.jface.bindings.keys.KeyLookupFactory

public final class KeyLookupFactory extends Object

A factory class for `ILookup` instances. This factory can be used to retrieve instances of look-ups defined by this package. It also allows you to define your own look-up for use in the classes.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`static final IKeyLookup`
`getDefault()`
An accessor for the current default look-up.
`static final IKeyLookup`
`getSWTKeyLookup()`
Provides an instance of `SWTKeyLookup`.
`static final void`
`setDefault(IKeyLookup defaultLookup)`
Sets the default look-up.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSWTKeyLookup

public static final IKeyLookup getSWTKeyLookup()
Provides an instance of `SWTKeyLookup`.

Returns:
  The SWT look-up table for key stroke format information; never `null`.

### getDefault

public static final IKeyLookup getDefault()
An accessor for the current default look-up.

Returns:
  The default look-up; never `null`.

### setDefault

public static final void setDefault(IKeyLookup defaultLookup)
Sets the default look-up.

Parameters:
  `defaultLookup` - the default look-up. Must not be `null`.